Bug 1141173 (CVE-2014-3181) - CVE-2014-3181 Kernel: HID: OOB write in magicmouse driver
Summary: CVE-2014-3181 Kernel: HID: OOB write in magicmouse driver
Status: CLOSED ERRATA
Alias: CVE-2014-3181
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140827,repor...
Keywords: Security
Depends On: 1141176 1141177 1141178 1141179
Blocks: 1140968
TreeView+ depends on / blocked
 
Reported: 2014-09-12 11:36 UTC by Prasad J Pandit
Modified: 2016-03-04 10:39 UTC (History)
28 users (show)

(edit)
An out-of-bounds write flaw was found in the way the Apple Magic Mouse/Trackpad multi-touch driver handled Human Interface Device (HID) reports with an invalid size. An attacker with physical access to the system could use this flaw to crash the system or, potentially, escalate their privileges on the system.
Clone Of:
(edit)
Last Closed: 2016-02-10 07:59:24 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1318 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Realtime 2.5 security and enhancement update 2014-09-29 23:41:06 UTC
Red Hat Product Errata RHSA-2014:1971 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-10 01:33:29 UTC

Description Prasad J Pandit 2014-09-12 11:36:50 UTC
Linux kernel built with the Human Interface Device(HID) Bus support(CONFIG_HID)
along with a driver for Apple Magic Mouse/Trackpad multi-touch, is vulnerable
to an OOB write flaw. It could occur if a device offers an HID report of
arbitrary length.

A local user with physical access to the system could use this flaw to crash
the system resulting in DoS or potentially, escalate their privileges on the
system.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/c54def7bd64d7c0b6993336abcffb8444795bf38

Comment 1 Prasad J Pandit 2014-09-12 11:43:19 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with
Red Hat Enterprise Linux 5 and 6.

This issue affects the versions of Linux kernel as shipped with Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG 2 may address this issue.

Comment 4 Prasad J Pandit 2014-09-12 11:45:00 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1141179]

Comment 5 Fedora Update System 2014-09-19 10:10:23 UTC
kernel-3.16.2-201.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-09-23 04:43:58 UTC
kernel-3.16.3-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2014-09-29 19:41:49 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:1318 https://rhn.redhat.com/errata/RHSA-2014-1318.html

Comment 8 Fedora Update System 2014-09-30 01:59:03 UTC
kernel-3.14.19-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Martin Prpič 2014-09-30 10:47:49 UTC
IssueDescription:

An out-of-bounds write flaw was found in the way the Apple Magic Mouse/Trackpad multi-touch driver handled Human Interface Device (HID) reports with an invalid size. An attacker with physical access to the system could use this flaw to crash the system or, potentially, escalate their privileges on the system.

Comment 10 errata-xmlrpc 2014-12-09 20:35:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html


Note You need to log in before you can comment on or make changes to this bug.